List billing terms

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Query parameters

pagedoubleRequiredDefaults to 1
Page Number
limitdoubleRequiredDefaults to 50
Number of items to return
filterstringOptional
Format: field:rule:value — comma-separated for multiple filters. Fields: contractId (uuid): eq, neq, in, nin, isnull, isnotnull customerId (uuid): eq, neq, in, nin, isnull, isnotnull startDate (datetime): eq, neq, gt, gte, lt, lte endDate (datetime): eq, neq, gt, gte, lt, lte billingTermGroupId (uuid): eq, neq, in, nin, isnull, isnotnull productId (uuid): eq, neq, in, nin, isnull, isnotnull Date-only values (YYYY-MM-DD) match the full UTC day. Example: filter=contractId:eq:00000000-0000-0000-0000-000000000001

Response

Get all Billing Terms by filter
payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobject
json element with any error messages or warnings